# Interface methods for submodule: HalfToFullHermitianImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: HalfToFullHermitianImageFilter
class HalfToFullHermitianImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetActualXDimensionIsOddInput(self, _arg) -> None:
		""""""
		...

	@overload
	def SetActualXDimensionIsOdd(self, _arg) -> None:
		""""""
		...

	@overload
	def SetActualXDimensionIsOdd(self, _arg: bool) -> None:
		""""""
		...

	def GetActualXDimensionIsOddInput(self):
		""""""
		...

	def GetActualXDimensionIsOdd(self) -> bool:
		""""""
		...

	def ActualXDimensionIsOddOn(self) -> None:
		""""""
		...

	def ActualXDimensionIsOddOff(self) -> None:
		""""""
		...

